Subject: Re: [PATCH] macvlan: add tap device backend

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 10 Aug 2009 16:42:29 +0300

On Mon, Aug 10, 2009 at 03:29:46PM +0200, Arnd Bergmann wrote:
> On Monday 10 August 2009, Michael S. Tsirkin wrote:
> > 
> > > Would it be enough to check the dev_queue_xmit() return
> > > code for NETDEV_TX_BUSY?
> > > 
> > > How would I get notified when it gets free again?
> > 
> > You can do this by creating a socket. Look at how tun does
> > this now.
> 
> Hmm, I was hoping to be able to avoid this, because I can
> interact more directly with the outbound physical interface
> using dev_queue_xmit() instead of netif_rx_ni().

Yea, that's what tun does. socket just notifies you when
packets are freed.

> I'll have a look. Thanks,
> 
> 	Arnd <><